curl --request POST \
--url https://rdp.sh/api/v1/servers/{server}/console/sessions \
--header 'Authorization: <api-key>'import requests
url = "https://rdp.sh/api/v1/servers/{server}/console/sessions"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://rdp.sh/api/v1/servers/{server}/console/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rdp.sh/api/v1/servers/{server}/console/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rdp.sh/api/v1/servers/{server}/console/sessions"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://rdp.sh/api/v1/servers/{server}/console/sessions")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://rdp.sh/api/v1/servers/{server}/console/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": true,
"url": "https://terminal.rdp.sh/novnc/vnc.html?autoconnect=1&resize=scale&encrypt=1&host=terminal.rdp.sh&port=443&path=vnc%3Ftoken%3DeyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdWIiOiI0MjEzIiwic2VydmVyX2lkIjoxOTQwMjksImV4cCI6MTc5MzEwNzAyNywianRpIjoiMWIzOWZjYTQtM2QwNy00NWEwLTk4NmUtN2ExZDc2ZDZjYzY1In0.dWNUOGv-ghEZaq2tVb-7Bw46eZWfynJa9T_iUIAyTUY&quality=4&compression=8#password=x7%26Kq%232m",
"websocket_url": "wss://terminal.rdp.sh/vnc?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdWIiOiI0MjEzIiwic2VydmVyX2lkIjoxOTQwMjksImV4cCI6MTc5MzEwNzAyNywianRpIjoiMWIzOWZjYTQtM2QwNy00NWEwLTk4NmUtN2ExZDc2ZDZjYzY1In0.dWNUOGv-ghEZaq2tVb-7Bw46eZWfynJa9T_iUIAyTUY",
"password": "x7&Kq#2m",
"expires_at": "2026-10-27T13:17:07+00:00"
}{
"status": false,
"error": "This action is unauthorized"
}{
"status": false,
"error": "The console needs the QXL display first, and switching to it restarts the server once. Switch it with PUT /api/v1/servers/194029/console/display.",
"needs_display_switch": true
}{
"status": false,
"error": "You can open the console of this server at most 10 times every 2 minutes. Please try again in 37 seconds."
}{
"status": false,
"error": "Could not open a console session. Please try again in a moment."
}Open Console Session
Opens the server’s console screen (VNC), the one the Console tab in the panel
shows, to show it to your own customers. Open url in a new window or an
iframe, or connect your own noVNC client to websocket_url with password.
A session is good for one connection, made within ten seconds (expires_at).
Open a new session for every connection, reconnects included. A connected
console stays open for up to four hours. The server must be running.
A Linux server needs the QXL display for its console, and switching to it
restarts the server once. Until then this answers 409 with
needs_display_switch: true; see PUT /servers/{server}/console/display.
curl --request POST \
--url https://rdp.sh/api/v1/servers/{server}/console/sessions \
--header 'Authorization: <api-key>'import requests
url = "https://rdp.sh/api/v1/servers/{server}/console/sessions"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://rdp.sh/api/v1/servers/{server}/console/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rdp.sh/api/v1/servers/{server}/console/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rdp.sh/api/v1/servers/{server}/console/sessions"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://rdp.sh/api/v1/servers/{server}/console/sessions")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://rdp.sh/api/v1/servers/{server}/console/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": true,
"url": "https://terminal.rdp.sh/novnc/vnc.html?autoconnect=1&resize=scale&encrypt=1&host=terminal.rdp.sh&port=443&path=vnc%3Ftoken%3DeyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdWIiOiI0MjEzIiwic2VydmVyX2lkIjoxOTQwMjksImV4cCI6MTc5MzEwNzAyNywianRpIjoiMWIzOWZjYTQtM2QwNy00NWEwLTk4NmUtN2ExZDc2ZDZjYzY1In0.dWNUOGv-ghEZaq2tVb-7Bw46eZWfynJa9T_iUIAyTUY&quality=4&compression=8#password=x7%26Kq%232m",
"websocket_url": "wss://terminal.rdp.sh/vnc?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdWIiOiI0MjEzIiwic2VydmVyX2lkIjoxOTQwMjksImV4cCI6MTc5MzEwNzAyNywianRpIjoiMWIzOWZjYTQtM2QwNy00NWEwLTk4NmUtN2ExZDc2ZDZjYzY1In0.dWNUOGv-ghEZaq2tVb-7Bw46eZWfynJa9T_iUIAyTUY",
"password": "x7&Kq#2m",
"expires_at": "2026-10-27T13:17:07+00:00"
}{
"status": false,
"error": "This action is unauthorized"
}{
"status": false,
"error": "The console needs the QXL display first, and switching to it restarts the server once. Switch it with PUT /api/v1/servers/194029/console/display.",
"needs_display_switch": true
}{
"status": false,
"error": "You can open the console of this server at most 10 times every 2 minutes. Please try again in 37 seconds."
}{
"status": false,
"error": "Could not open a console session. Please try again in a moment."
}Authorizations
Your API key as it is, without Bearer. API access is off for new
accounts: until it is turned on under Settings > API, every request
answers 403 with API access is turned off for this account. Turn it on under Settings > API. If the account lists allowed IPs, a request
from any other address answers 403 with This API key is not allowed from <address>.
Response
The session is open. Connect to it within ten seconds.
The console in the browser, to open in a new window or embed in an
iframe. It connects as it loads. The password is in its fragment,
which the browser never sends to a server.
"https://terminal.rdp.sh/novnc/vnc.html?autoconnect=1&resize=scale&encrypt=1&host=terminal.rdp.sh&port=443&path=vnc%3Ftoken%3DeyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdWIiOiI0MjEzIiwic2VydmVyX2lkIjoxOTQwMjksImV4cCI6MTc5MzEwNzAyNywianRpIjoiMWIzOWZjYTQtM2QwNy00NWEwLTk4NmUtN2ExZDc2ZDZjYzY1In0.dWNUOGv-ghEZaq2tVb-7Bw46eZWfynJa9T_iUIAyTUY&quality=4&compression=8#password=x7%26Kq%232m"
The console's WebSocket, for a page that runs its own
noVNC client instead of url.
Connect to it and answer the VNC password prompt with password.
"wss://terminal.rdp.sh/vnc?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdWIiOiI0MjEzIiwic2VydmVyX2lkIjoxOTQwMjksImV4cCI6MTc5MzEwNzAyNywianRpIjoiMWIzOWZjYTQtM2QwNy00NWEwLTk4NmUtN2ExZDc2ZDZjYzY1In0.dWNUOGv-ghEZaq2tVb-7Bw46eZWfynJa9T_iUIAyTUY"